python-flufl.i18n_1.1.3-4_all.deb


Advertisement

Description

python-flufl.i18n - high level API for Python internationalization (Python 2)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-flufl.i18n
Package version: 1.1.3
Package release: 4
Package architecture: all
Package type: deb
Installed size: 106 B
Download size: 18.12 KB
Official Mirror: archive.ubuntu.com
This package provides a high level, convenient API for managing internationalization translation contexts in Python application. There is a simple API for single-context applications, such as command line scripts which only need to translate into one language during the entire course of their execution. There is a more flexible, but still convenient API for multi-context applications, such as servers, which may need to switch language contexts for different tasks.

Alternatives

    Download

    Source package: flufl.i18n

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-flufl.i18n deb package:
      # sudo apt-get install python-flufl.i18n

    Files

    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3-nspkg.pth
    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/flufl.i18n-1.1.3.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/flufl/i18n/NEWS.rst
    • /usr/lib/python2.7/dist-packages/flufl/i18n/README.rst
    • /usr/lib/python2.7/dist-packages/flufl/i18n/__init__.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_application.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_expand.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_registry.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_strategy.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_substitute.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/_translator.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/conf.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/docs/__init__.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/docs/expand.rst
    • /usr/lib/python2.7/dist-packages/flufl/i18n/docs/strategies.rst
    • /usr/lib/python2.7/dist-packages/flufl/i18n/docs/using.rst
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/__init__.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/messages/__init__.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/messages/xx/LC_MESSAGES/flufl.mo
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/messages/xx/LC_MESSAGES/flufl.po
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/messages/yy/LC_MESSAGES/flufl.mo
    • /usr/lib/python2.7/dist-packages/flufl/i18n/testing/messages/yy/LC_MESSAGES/flufl.po
    • /usr/lib/python2.7/dist-packages/flufl/i18n/tests/__init__.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/tests/test_documentation.py
    • /usr/lib/python2.7/dist-packages/flufl/i18n/tests/test_translator.py
    • /usr/share/doc/python-flufl.i18n/NEWS.rst.gz
    • /usr/share/doc/python-flufl.i18n/changelog.Debian.gz
    • /usr/share/doc/python-flufl.i18n/copyright
    • /usr/share/doc/python-flufl.i18n/rst
    • /usr/share/python/ns/python-flufl.i18n

    Changelog

    2015-09-17 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.3-4) unstable; urgency=medium * d/python{,3}-flufl.i18n.pyremove: Removed; we want to keep the .egg-info files.

    2015-06-04 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.3-3) unstable; urgency=medium * d/control: - Bump Standards-Version with no other changes necessary. - Bump debhelper Build-Depends to version 9. * d/compat: Bump to version 9 * d/copyright: - Reorganize to keep lintian happy. - Update copyright years. * d/watch: Use the pypi.debian.net redirector. * d/upstream/signing-key.asc: Add upstream's pubkey so that the pgpsigurlmangle option in d/watch will succeed.

    2014-10-02 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.3-2) unstable; urgency=medium * d/rules: De-verbose-ify. * d/control: Added XS-Testsuite header. * d/copyright: Converted to DEP-5 format. * d/tests: Added DEP-8 tests.

    2014-04-25 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.3-1) unstable; urgency=medium * New upstream release. - Upstream tarball now includes a MANIFEST.in. (Closes: #741832) * d/patches/setup.patch: Obsolete; removed.

    2013-11-25 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.1-3) unstable; urgency=low * Actually remove the d/python*.install files this time.

    2013-11-25 - Barry Warsaw <barry@debian.org> flufl.i18n (1.1.1-2) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. * Remove DM-Upload-Allowed; it's no longer used by the archive software. [ Barry Warsaw ] * d/control: - Update maintainer email. - Update Standards-Version to 3.9.5 with no changes necessary. - wrap-and-sort - Build-Depend on dh-python explicitly. * d/rules: Switch to --buildsystem=pybuild * python*.install: Removed (pybuild does this automatically).

    2012-05-23 - Barry Warsaw <barry@python.org> flufl.i18n (1.1.1-1) unstable; urgency=low * New upstream release.

    2012-03-29 - Scott Kitterman <scott@kitterman.com> flufl.i18n (1.1-2) unstable; urgency=low * Team upload [ Barry Warsaw ] * debian/rules: - Build and install Python 3 versions via % expansion targets instead of for loops in override targets. - Remove test target debugging output when DEB_BUILD_OPTIONS=nocheck. - Remove questionable workaround for bug 618367. - Better override_dh_auto_clean rule so that the package can be built twice in a row. * debian/control: - Rename flufl.i18n-docs to the more usual flufl.i18n-doc without adding transitional packages since it has never been in a stable release. - Bump standards-version to 3.9.3 without further changes. [ Scott Kitterman ] * Add DM-Upload-Allowed

    2012-01-19 - Barry Warsaw <barry@python.org> flufl.i18n (1.1-1) unstable; urgency=low * New upstream release. * Build for Python 3, and split out common documentation package. * compat level 8

    2011-10-06 - Barry Warsaw <barry@python.org> flufl.i18n (1.0.4-1) unstable; urgency=low [ Jakub Wilk ] * debian/control: - Add Vcs-* fields. [ Barry Warsaw ] * Initial release (closes: #588858)

    Advertisement
    Advertisement